import './TimeGrid.styles_19khpux.css';
import { styled } from '@linaria/react';
import { tokens } from '../../DateTimePicker.tokens.js';
import { component, mergeConfig } from '../../../../engines/common.js';
import { timePickerGridConfig } from '../../../TimePickerGrid/TimePickerGrid.js';

var mergedTimePickerGrid = /*#__PURE__*/mergeConfig(timePickerGridConfig);
var TimePickerGrid = /*#__PURE__*/component(mergedTimePickerGrid);
var _exp = function _exp() {
  return TimePickerGrid;
};
var _exp3 = function _exp3() {
  return function (_ref) {
    var innerWidth = _ref.innerWidth,
      columns = _ref.columns;
    return innerWidth && innerWidth !== '0' ? '100%' : "calc(var(".concat(tokens.timePickerColumnWidth, ") * ").concat(columns, " + var(").concat(tokens.timePickerColumnGap, ") * ").concat(columns - 1, ")");
  };
};
var _exp5 = function _exp5() {
  return function (_ref2) {
    var innerHeight = _ref2.innerHeight;
    return innerHeight && innerHeight !== '0' ? "calc(".concat(innerHeight, " - var(").concat(tokens.popoverVerticalPadding, "))") : "var(".concat(tokens.timePickerColumnHeight, ")");
  };
};
var StyledTimeGrid = /*#__PURE__*/styled(_exp())({
  name: "StyledTimeGrid",
  "class": "s1jlwiea",
  propsAsIs: true,
  vars: {
    "s1jlwiea-0": [/*#__PURE__*/_exp3()],
    "s1jlwiea-1": [/*#__PURE__*/_exp5()]
  }
});

export { StyledTimeGrid };
